#ifndef DOWNLOAD_THREAD_H_INCLUDED
#define DOWNLOAD_THREAD_H_INCLUDED

#include <QThread>
#include <QString>

class hwinf;
class DownloadThread : public QThread {
    Q_OBJECT

public:
    DownloadThread(hwinf *hw);
    ~DownloadThread();

protected:
    // download thread does not have a running event queue, and therefore
    // no slots. signals work the usual way.
    void run() override;

private:
    hwinf *m_hw;
    QString m_fileToDownload;
};

#endif // DOWNLOAD_THREAD_H_INCLUDED
